
Core - Bug # 31407

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Must have
Author: Markus Klein Category: Install Tool
Created: 2011-10-30 Assigned To:
Updated: 2013-08-01 Due date:
TYPO3 Version: 4.6
PHP Version:
Complexity: medium
Is Regression:
Sprint Focus:
Subject: Admin user creation function uses hardcoded md5() for password
Description

The Install Tool function for creating an admin user uses hardcoded md5() for the associated password.
This does not work together with rsaauth/saltedpasswords.

typo3/sysext/install/mod/tx_install.php, line 6082:

$insertFields = array(
    'username' => $username,
    'password' => md5($pass),
    'admin' => 1,
    'uc' => '',
    'fileoper_perms' => 0,
    'tstamp' => $GLOBALS['EXEC_TIME'],
    'crdate' => $GLOBALS['EXEC_TIME']
);

Related issues:
related to Core - Bug # 31397: Check for default password of admin account no... Closed 2011-10-29
related to Core - Feature # 50612: Create BE-user in installation wizard (123... Resolved 2013-08-26
duplicated by Core - Bug # 39350: Create a admin user with hashed password in... Closed 2012-07-28

Associated revisions
Revision d7ad41f5 - 2013-08-01 00:08 - Wouter Wolters

[FEATURE] Create BE-user in Install Tool with a salted password

Introduce the possibility to salt the password when creating
a new Backend User in the Install Tool. When Saltedpasswords
is installed and backend usage is enabled the password will
be salted with saltedpasswords. Otherwise the md5 hashing method
is still used.

Change-Id: I30b2fab2c4158c878e849f061f0d464b501b62bc
Resolves: #31407
Releases: 6.2
Reviewed-on: https://review.typo3.org/22676
Reviewed-by: Nicole Cordes
Tested-by: Nicole Cordes

History
#1 - 2011-11-22 14:57 - Xavier Perseguers
- Target version changed from 4.6.1 to 4.6.2

#2 - 2011-12-11 21:33 - Mario Rimann

What's the proposed change to get this solved?

#3 - 2012-02-07 08:50 - Xavier Perseguers
- Target version deleted (4.6.2)

#4 - 2012-02-07 10:12 - Markus Klein

I guess we need to access saltedpasswords somehow.

#5 - 2013-07-30 00:34 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22676

#6 - 2013-07-31 23:56 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22676

#7 - 2013-08-01 00:33 - Wouter Wolters
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d7ad41f5c6760aa7751bff7016b98b4e069c0f11.

#8 - 2013-08-01 01:16 - Christian Kuhn
- Parent task set to #49162
